From 6ce32991067c0a52645187dc6aa70a4693702dc5 Mon Sep 17 00:00:00 2001
From: Alexander Korotkov <akorotkov@postgresql.org>
Date: Tue, 3 Jan 2023 17:33:22 +0300
Subject: [PATCH 2/2] Remove extra regress check arguments from
 test_pg_db_role_setting

They were accidentally copied from test_oat_hooks.

Reported-by: Justin Pryzby
Discussion: https://postgr.es/m/20230102154240.GL1153%40telsasoft.com
Reviewed-by: Pavel Borisov
---
 src/test/modules/test_pg_db_role_setting/Makefile    | 3 ---
 src/test/modules/test_pg_db_role_setting/meson.build | 1 -
 2 files changed, 4 deletions(-)

diff --git a/src/test/modules/test_pg_db_role_setting/Makefile b/src/test/modules/test_pg_db_role_setting/Makefile
index aacd78f74c5..50ac02db449 100644
--- a/src/test/modules/test_pg_db_role_setting/Makefile
+++ b/src/test/modules/test_pg_db_role_setting/Makefile
@@ -13,9 +13,6 @@ REGRESS = test_pg_db_role_setting
 
 # disable installcheck for now
 NO_INSTALLCHECK = 1
-# and also for now force NO_LOCALE and UTF8
-ENCODING = UTF8
-NO_LOCALE = 1
 
 ifdef USE_PGXS
 PG_CONFIG = pg_config
diff --git a/src/test/modules/test_pg_db_role_setting/meson.build b/src/test/modules/test_pg_db_role_setting/meson.build
index 9ad525aeb86..fa0e691d796 100644
--- a/src/test/modules/test_pg_db_role_setting/meson.build
+++ b/src/test/modules/test_pg_db_role_setting/meson.build
@@ -32,7 +32,6 @@ tests += {
     'sql': [
       'test_pg_db_role_setting',
     ],
-    'regress_args': ['--no-locale', '--encoding=UTF8'],
     'runningcheck': false,
   },
 }
-- 
2.24.3 (Apple Git-128)

